package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProdProduction;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 生产情况 服务类
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
public interface IProdProductionService extends IService<ProdProduction> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result add(HttpServletRequest httpServletRequest,ProdProduction prodProduction);

    Result listProd(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addProd(HttpServletRequest httpServletRequest, ProdProduction prodProduction);

    //大屏专用
    Result listScreenProd(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addScreenProd(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);
}
